SparkFun MiniGen - Pro Mini Signal Generator Shield
===================================================

[![MiniGen](https://cdn.sparkfun.com//assets/parts/7/2/2/3/11420-01.jpg)  
*MiniGen Signal Generator (BOB-11420)*](https://www.sparkfun.com/products/11420)

The [MiniGen](https://www.sparkfun.com/products/11420) designed to be used
either as a stand-alone board or as a shield that can be placed on top of an
Arduino Pro Mini. It's capable of generating sine, square or triangle waves at
up to 3MHz, and approximately 1Vp-p. The output is at a DC offset of Vcc/2.
Neither the offset nor the amplitude can be varied.

The MiniGen can be powered by any voltage from 2.3V to 5.5V, so it can be used
with either a 3.3V or 5V Pro Mini without any voltage regulation or signal level
shifting needed.

Repository Contents
-------------------
* **/Hardware** - Eagle design files (.brd, .sch)
* **/Libraries** - Libraries for use with the <PRODUCT NAME>
* **/Production** - Production panel files (.brd)

Documentation
--------------
* **[Library](https://github.com/sparkfun/SparkFun_MiniGen_Arduino_Library)** -  Arduinolibrary for the MiniGen.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/minigen-hookup-guide)** - Basic hookup guide for the MiniGen.
* **[SparkFun Fritzing repo](https://github.com/sparkfun/Fritzing_Parts)** - Fritzing diagrams for SparkFun products.
* **[SparkFun 3D Model repo](https://github.com/sparkfun/3D_Models)** - 3D models of SparkFun products. 


License Information
-------------------
This product is _**open source**_! 

The **hardware** is released under [Creative Commons ShareAlike 4.0 International](https://creativecommons.org/licenses/by-sa/4.0/).

The **code** is beerware; if you see me (or any other SparkFun employee) at the local, and you've found our code helpful, please buy us a round!

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.